Package io.vertx.rxjava3.servicediscovery.types

## Class MongoDataSource

- java.lang.Object
- - io.vertx.rxjava3.servicediscovery.types.MongoDataSource

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class MongoDataSource
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<MongoDataSource>` | `__TYPE_ARG` |
    `static String` | `TYPE` |
    `static String` | `UNKNOWN` | Unknown type.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MongoDataSource​(MongoDataSource delegate)` |
    `MongoDataSource​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Record` | `createRecord​(String name, JsonObject location, JsonObject metadata)` | Convenient method to create a record for a Mongo data source.
    `boolean` | `equals​(Object o)` |
    `MongoDataSource` | `getDelegate()` |
    `static Single<MongoClient>` | `getMongoClient​(ServiceDiscovery discovery, JsonObject filter)` | Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`.
    `static Single<MongoClient>` | `getMongoClient​(ServiceDiscovery discovery, JsonObject filter, JsonObject consumerConfiguration)` | Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`.
    `static Single<MongoClient>` | `getMongoClient​(ServiceDiscovery discovery, Function<Record,​Boolean> filter)` | Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`.
    `int` | `hashCode()` |
    `static MongoDataSource` | `newInstance​(MongoDataSource arg)` |
    `static Single<MongoClient>` | `rxGetMongoClient​(ServiceDiscovery discovery, JsonObject filter)` | Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`.
    `static Single<MongoClient>` | `rxGetMongoClient​(ServiceDiscovery discovery, JsonObject filter, JsonObject consumerConfiguration)` | Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`.
    `static Single<MongoClient>` | `rxGetMongoClient​(ServiceDiscovery discovery, Function<Record,​Boolean> filter)` | Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MongoDataSource> __TYPE_ARG

    - #### UNKNOWN

          public static final String UNKNOWN

      Unknown type.
      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MongoDataSource

          public MongoDataSource​(MongoDataSource delegate)

    - #### MongoDataSource

          public MongoDataSource​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MongoDataSource getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### createRecord

          public static Record createRecord​(String name,
                                            JsonObject location,
                                            JsonObject metadata)

      Convenient method to create a record for a Mongo data source.
      Parameters:
        `name` - the service name
        `location` - the location of the service (e.g. url, port...)
        `metadata` - additional metadata
      Returns:
        the created record

    - #### getMongoClient

          public static Single<MongoClient> getMongoClient​(ServiceDiscovery discovery,
                                                           JsonObject filter)

      Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
      Returns:
        a future notified with the client

    - #### rxGetMongoClient

          public static Single<MongoClient> rxGetMongoClient​(ServiceDiscovery discovery,
                                                             JsonObject filter)

      Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
      Returns:
        a future notified with the client

    - #### getMongoClient

          public static Single<MongoClient> getMongoClient​(ServiceDiscovery discovery,
                                                           Function<Record,​Boolean> filter)

      Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter
      Returns:
        a future notified with the client

    - #### rxGetMongoClient

          public static Single<MongoClient> rxGetMongoClient​(ServiceDiscovery discovery,
                                                             Function<Record,​Boolean> filter)

      Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter
      Returns:
        a future notified with the client

    - #### getMongoClient

          public static Single<MongoClient> getMongoClient​(ServiceDiscovery discovery,
                                                           JsonObject filter,
                                                           JsonObject consumerConfiguration)

      Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `consumerConfiguration` - the consumer configuration
      Returns:
        a future notified with the client

    - #### rxGetMongoClient

          public static Single<MongoClient> rxGetMongoClient​(ServiceDiscovery discovery,
                                                             JsonObject filter,
                                                             JsonObject consumerConfiguration)

      Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `consumerConfiguration` - the consumer configuration
      Returns:
        a future notified with the client

    - #### newInstance

          public static MongoDataSource newInstance​(MongoDataSource arg)